routes/web.php
<?php

Route::view('example','example.index');
Route::view('example/create','example.create');

// ROUTE WEB-PROFILE
Route::view('/','welcome');
Route::resource('attention','AttentionController');
Route::prefix('admin')->middleware('auth')->group(function(){
    Route::view('/','pages.other.dashboard')->name('admin');
    Route::resource('setting','SettingController');
    Route::resource('major','MajorController');
    Route::resource('school_year', 'SchoolYearController');
    Route::resource('subject','SubjectController');
    Route::resource('bill', 'BillController');
    Route::resource('bill_filter', 'BillFilterController');
    Route::resource('classgroup','ClassGroupController');
    Route::resource('video','VideoController');
    Route::resource('teacher', 'TeacherController');
    Route::resource('eskul', 'EskulController');
    Route::resource('student','StudentController');
    Route::resource('banner','BannerController');
    Route::resource('categorytype','CategoryTypeController');
    Route::resource('publisher','PublisherController');
    Route::resource('author','AuthorController');
    Route::resource('student','StudentController');
    Route::resource('book','BookController');
    Route::resource('book_category','BookCategoryController');

    Route::resource('employee','EmployeeController');
    Route::resource('attitude','AttitudeController');

    Route::resource('absent','AbsentController');
    Route::post('/input_absen','AbsentController@input_absen')->name('input_absen');
    Route::post('/data_absen','AbsentController@data_absen')->name('data_absen');

    Route::resource('schedule','ScheduleController');

    Route::resource('article','ArticleController');
    Route::resource('prestation','PrestationController');
    Route::resource('borrow_type','BorrowTypeController');
    Route::resource('book_borrow','BookBorrowController');
    Route::resource('uks','UksController');
    Route::resource('task', 'TaskController');
    Route::resource('examtype', 'ExamTypeController');
    Route::group(['prefix' => 'user'], function() {
        Route::view('/', 'pages.user.index');
    });
    Route::group(['prefix'=>'book_borrow'],function() {
        Route::get('next/{nis}','BookBorrowController@next')->name('book_borrow.next');
        Route::get('delete/{id}','BookBorrowController@destroy')->name('book_borrow.deletes');
    });
    Route::resource('attitude','AttitudeController');
});


Route::prefix('student')->middleware('student')->group(function(){
    Route::get('logout','StudentAuth\LoginController@logout')->name('student.logout');
    Route::middleware('student')->group(function(){
        Route::get('/','StudentController@dashboard')->name('student.dashboard');
        Route::resource('notes','NotesController');
        Route::get('attention','AttentionController@student_attention')->name('student.attention');
        Route::get('task','TaskController@student_task')->name('student.task');
        Route::get('absent','AbsentController@student_index')->name('student.absent');
        Route::post('absent/filter','AbsentController@student_filter')->name(
            'student.absent.filter');
    });
});

Route::prefix('teacher')->middleware('teacher')->group(function(){
    Route::view('/','pages.teacher.dashboard');
    // SUBJECT BAB
    Route::resource('subjectbab','SubjectBabController');
    Route::get('storebab','SubjectBabController@storeBab')->name('teacher.storebab');
    Route::post('insertbab','SubjectBabController@insertbab')->name('teacher.insertbab');

    // QUESTION BANK
    Route::resource('qbank','QuestionBankController');

    Route::resource('document','DocumentController');

    Route::resource('attitudeTransaction','attitudeTransactionController');

    Route::get('setting','QuestionBankController@addSetting')->name('teacher.setting');
    Route::post('addquestion','QuestionBankController@addQuestion')->name('teacher.addquestion');

    // EXAM MANAGE
    Route::resource('exam_manage','ExamManageController');
    Route::get('choose_question/{id}/{subject_id}','ExamManageController@choose_question')->name('teacher.choose_question');

    // Task
    Route::resource('task', 'TaskController');

    // Score
    Route::resource('score', 'ScoreController');
});



Auth::routes();
//Credentials
Route::get('student/login','StudentAuth\LoginController@showLoginForm')->name('student.login.form');
Route::get('teacher/login','TeacherAuth\LoginController@showLoginForm')->name('teacher.login.form');
Route::post('student/login','StudentAuth\LoginController@login')->name('student.login.store');
Route::post('teacher/login','TeacherAuth\LoginController@login')->name('teacher.login.store');
Route::post('teacher/logout','TeacherAuth\LoginController@logout')->name('teacher.logout');
Route::post('student/logout','StudentAuth\LoginController@logout')->name('student.logout');
Route::get('/home', 'HomeController@index')->name('home');

app/Subject.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Subject extends Model
{
 	protected $fillable = [
 		'name',
 		'kkm',
 		'alias'
 	];
}

app/Http/Controllers/SubjectController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Subject;
use Validator;
class SubjectController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('pages.subject.index',['data'=>Subject::latest()->get()]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('pages.subject.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name'=>'required',
            'kkm'=>'required',               
            'alias'=>'required', 
        ]);

        $do = new Subject($request->all());
        $do->save();
            
        return redirect()->route('subject.index')->withMessage("Fitur Berhasil ditambahkan");
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Subject $subject)
    {
        return view('pages.subject.edit',['data'=>$subject]);
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request,[
            'name'=>'required',
            'kkm'=>'required',
            'alias'=>'required'
        ]);

        Subject::where('id',$id)->update($request->except('_token','_method'));

        return back()->withMessage('Mengubah Mapel');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Subject::destroy($id);
        return back()->withMessage('Menghapus Mapel');
    }
}

resources/views/pages/subject/create.blade.php
@extends('templates.temp')

@section('title','Buat Jurusan')
@section('page_name','Buat Jurusan')
@section('breadcrumb')
<a href="#" class="kt-subheader__breadcrumbs-link">
    Data Master </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('subject.index') }}" class="kt-subheader__breadcrumbs-link">
    Mata Pelajaran </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="" class="kt-subheader__breadcrumbs-link">
    Buat Mata Pelajaran </a>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
        <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">Jurusan</h3>
        </div>
        <div class="kt-portlet__head-toolbar">
            <div class="kt-portlet__head-wrapper">
                <a href="{{ route('subject.index') }}" class="btn btn-clean btn-bold btn-upper btn-font-sm">
                    <i class="la la-long-arrow-left"></i>
                    Kembali
                </a>
            </div>
        </div>
    </div>

    <form class="kt-form kt-form--label-right" method="POST" action="{{ route('subject.store') }}"
        enctype="multipart/form-data">
        @csrf
        <div class="kt-portlet__body">
            <div class="form-group row">
                <label class="col-form-label col-lg-4 col-sm-12">Nama Pelajaran</label>
                <div class="col-lg-4 col-md-9 col-sm-12">
                    <input type="text" name="name" class="form-control" required placeholder="Contoh : Matematika"
                        value="{{ old('name') }}" />
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-4 col-sm-12">Singkatan</label>
                <div class="col-lg-4 col-md-9 col-sm-12">
                    <input type="text" name="alias" class="form-control" required placeholder="Contoh : MTK"
                        value="{{ old('alias') }}" />
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-4 col-sm-12">KKM</label>
                <div class="col-lg-4 col-md-9 col-sm-12">
                    <input type="text" name="kkm" class="form-control" required placeholder="Contoh : 75"
                        value="{{ old('kkm') }}" onkeypress="return isNumber(event)"  onkeypress="alert('hehe')" />
                </div>
            </div>

        </div>
        <div class="kt-portlet__foot">
            <div class="kt-form__actions">
                <div class="row">
                    <div class="col-lg-4 col-sm-12"></div>
                    <div class="col-lg-8 col-sm-12">
                        <button type="submit" class="btn btn-brand">Simpan</button>
                        <button type="reset" class="btn btn-secondary">Batal</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
@endsection

resources/views/pages/subject/edit.blade.php
@extends('templates.temp')

@section('title','Ubah Mata Pelajaran')
@section('page_name','Ubah Mata Pelajaran')
@section('breadcrumb')
<a href="" class="kt-subheader__breadcrumbs-link">
    Data Master </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('subject.index') }}" class="kt-subheader__breadcrumbs-link">
    Mata Pelajaran </a>
<a href="" class="kt-subheader__breadcrumbs-link">
    Ubah Mata Pelajaran </a>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
        <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">Mata Pelajaran</h3>
        </div>
        <div class="kt-portlet__head-toolbar">
            <div class="kt-portlet__head-wrapper">
                <a href="{{ route('subject.index') }}" class="btn btn-clean btn-bold btn-upper btn-font-sm">
                    <i class="la la-long-arrow-left"></i>
                    Kembali
                </a>
            </div>
        </div>
    </div>

    <form class="kt-form kt-form--label-right" method="POST" action="{{ route('subject.update',$data) }}"
        enctype="multipart/form-data">
        @csrf @method('put')
        <div class="kt-portlet__body">
            <div class="form-group row">
                <label class="col-form-label col-lg-4 col-sm-12">Mata Pelajaran</label>
                <div class="col-lg-4 col-md-9 col-sm-12">
                    <input type="text" name="name" class="form-control" required placeholder="Contoh : Matematik"
                        value="{{ old('name',$data->name) }}" />
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-4 col-sm-12">Singkatan</label>
                <div class="col-lg-4 col-md-9 col-sm-12">
                    <input type="text" name="alias" class="form-control" required placeholder="Contoh : RPL"
                        value="{{ old('alias',$data->alias) }}" />
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-4 col-sm-12">KKM</label>
                <div class="col-lg-4 col-md-9 col-sm-12">
                    <input type="text" onkeypress="return isNumber(event)" name="kkm" class="form-control" required placeholder="Contoh : RPL"
                        value="{{ old('kkm',$data->kkm) }}" />
                </div>
            </div>

        </div>
        <div class="kt-portlet__foot">
            <div class="kt-form__actions">
                <div class="row">
                    <div class="col-lg-4 col-sm-12"></div>
                    <div class="col-lg-8 col-sm-12">
                        <button type="submit" class="btn btn-brand">Simpan</button>
                        <button type="reset" class="btn btn-secondary">Batal</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
@endsection

resources/views/pages/subject/index.blade.php
@extends('templates.temp')

@section('title','Mata Pelajaran')
@section('breadcrumb')
<a href="#" class="kt-subheader__breadcrumbs-link">
    Data Master </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
        <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">Mata Pelajaran</h3>
        </div>
        <div class="kt-portlet__head-toolbar">
            <div class="kt-portlet__head-wrapper">
                <a href="{{ route('subject.create') }}" class="btn btn-default btn-bold btn-upper btn-font-sm">
                    <i class="flaticon2-add-1"></i>
                    Buat Baru
                </a>
            </div>
        </div>
    </div>

    <div class="kt-portlet__body">
        <!--begin: Datatable -->
        <table class="table data-table">
            <thead>
                <tr>
                    <th>No</th>
                    <th>Nama Pelajaran</th>
                    <th>KKM</th>
                    <th>Alias</th>
                    <th>Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach( $data as $field )
                <tr>
                    <td>{{ $loop->index + 1 }}</td>
                    <td>{{$field->name}}</td>
                    <td>{{$field->kkm}}</td>
                    <td>{{$field->alias}}</td>
                    <td nowrap class="text-center">
                        <a href="{{ route('subject.destroy',$field) }}"
                            class="btn btn-secondary btn-elevate btn-circle btn-icon delete-btn"> <i
                                class="la la-trash"></i> </a>
                        <a href="{{ route('subject.edit',$field) }}"
                            class="btn btn-secondary btn-elevate btn-circle btn-icon"> <i class="la la-edit"></i>
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <!--end: Datatable -->
    </div>
</div>
@endsection